TimeInstrument (SLF4J 1.7.4 API)
Date: 2013-03-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.slf4j.profiler
Interface TimeInstrument

All Known Implementing Classes:
  Profiler, StopWatch

    public interface TimeInstrument

This interface sets the methods that must be implemented by `Profiler` and `StopWatch` classes. It settles the general feel of the profiler package.

Author:
  Ceki Gülcü

Method Summary
`long` | `elapsedTime()` Time elapsed between start and stop, in nanoseconds.
`String` | `getName()` All time instruments are named entities.
`org.slf4j.profiler.TimeInstrumentStatus` | `getStatus()`
`void` | `log()` If the time instrument has an associated logger, then log information about this time instrument.
`void` | `print()` Print information about this time instrument on the console.
`void` | `start(String name)` Start tis time instrument.
`TimeInstrument` | `stop()` Stop this time instrument.

Method Detail

### getName

    String getName()

  All time instruments are named entities.

  Returns:
    the name of this instrument

### getStatus

    org.slf4j.profiler.TimeInstrumentStatus getStatus()

### start

    void start(String name)

  Start tis time instrument.

  Parameters:
    `name` -

### stop

    TimeInstrument stop()

  Stop this time instrument.

  Returns:
    this

### elapsedTime

    long elapsedTime()

  Time elapsed between start and stop, in nanoseconds.

  Returns:
    time elapsed in nanoseconds

### print

    void print()

  Print information about this time instrument on the console.

### log

    void log()

  If the time instrument has an associated logger, then log information about this time instrument. Note that `StopWatch` instances cannot log while `Profiler` instances can.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2013 QOS.ch. All Rights Reserved.